//#include <key_mgnt.h>
#include <data-collect-srv.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>

////////////////////////////////////
// IPC Message Handler
//   communicate with GPU CA
//   collect data
void data_collect_srv_process_req(iovec_t *ipc_msg)
{
	TLOGI("DATA is received by Data Collector.\n");
	data_collect_srv_msg_t *msg = ipc_msg->base;

	//float kernel[NUM_ROWS][NUM_COLS];
	switch (msg->cmd) {
		case DATA_COLLECT_START:
			TLOGI("data collecting...\n");
			if(msg->data_size>MAX_SIZE){
				TLOGI("[DATA-COLLECT] Error: data size received is too big!]\n");
				break;
			}
			memcpy(all_data+(BLOCK_SIZE*block_nums),msg->data,BLOCK_SIZE);
			block_nums++; // add the number of blocks
			TLOGI("[DATA-COLLECT]:data size increases to %d\n",BLOCK_SIZE*block_nums);
			data_size = msg->data_size;
			break;
		case DATA_COLLECT_END:
			block_nums = 0;
			TLOGI("[DATA-COLLECT] The whole data collection finished\n");
			msg->cmd = DATA_RETURN_START;
			break;	
		case DATA_RETURN_START:
			if(BLOCK_SIZE*block_nums > MAX_SIZE){
				TLOGI("[DATA-COLLECT]: The whole data has been returned!\n");
				msg->cmd = DATA_RETURN_END;
				block_nums = 0;
				break;
			}
			TLOGI("data returning...\n");
			memcpy(msg->data,all_data+(BLOCK_SIZE*block_nums),BLOCK_SIZE);
			block_nums++; // add the number of blocks
			break;
		default:
			block_nums = 0;
			TLOGI("[DATA-COLLECT] Wrong command!\n");
			break;
	}
}
